<?php

namespace App\Http\Controllers\API\Admin\YeWu;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Services\Admin\YeWu\HealthOrganizationService;

class HealthOrganizationController extends Controller
{
    //获取可用的体检机构
    public function GetEnableList(Request $request){
        $userid = $request->get('userid');//中间件产生的参数
        $group = $request->get('role');//中间件产生的参数
        if($group<>1 and $group<>7) return \Yz::echoError('无此接口访问权限');

        $s=app()->make(HealthOrganizationService::class);
        return  $s->GetList(['type'=>'enable','group'=>$group,'userid'=>$userid]);

    }
}
